<?php
 // === Classe Personnel ===
 class Personnel {
  private $AdresseAcces="21 rue Blum";
  // méthode d'aficahge de la porte d'accès
  public function AfficheAddresse() {
   echo get_called_class().'-Accès à l\'entreprise par le: ';
   echo $this->AdresseAcces.PHP_EOL;
  }
 }
 // === Classe Livraison ===
 class Livraison {
  private $AdresseAcces="Quai de numéro 2";
  // méthode d'aficahge de la porte d'accès
  public function AfficheAddresse() {
   echo get_called_class().'-Accès à l\'entreprise par le: ';
   echo $this->AdresseAcces.PHP_EOL;
  }
 }
 // === Programme ===
 // Création salarié et affichage adresse
 $UnSalarie = new Personnel()    ;
 $UnSalarie->AfficheAddresse()   ; 
 // Création livraison  et affichage adresse
 $UneLivraison = new Livraison() ;
 $UneLivraison->AfficheAddresse(); 
?>